create_touchstone_component#

MaxwellCircuitComponents.create_touchstone_component(model_name, location=None, angle=0, show_bitmap=True)[source]#

Create a component from a Touchstone model.

Parameters:
model_namestr

Name of the Touchstone model or full path to touchstone file. If full touchstone is provided then, new model will be created.

locationlist of float, optional

Position on the X and Y axis.

anglefloat, optional

Angle rotation in degrees. The default is 0.

show_bitmapbool, optional

Show bitmap image of schematic component. The default value is True.

Returns:
pyaedt.modeler.cad.object3dcircuit.CircuitComponent

Circuit Component Object.

References

>>> oModelManager.Add
>>> oComponentManager.Add
>>> oEditor.CreateComponent

Examples

>>> from pyaedt import Circuit
>>> cir = Circuit()
>>> comps = cir.modeler.components
>>> s_parameter_path = os.path.join("your_path", "s_param_file_name.s4p")
>>> circuit_comp = comps.create_touchstone_component(s_parameter_path, location=[0.0, 0.0], show_bitmap=False)